#
# spec file for package kdar (Version 1.2.0)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  kde3-devel-packages libattr-devel libdar libdar-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libattr-devel libdar libdar-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         kdar
URL:          http://kdar.sourceforge.net/
License:      GPL
Group:        System/Filesystems
Summary:      Backup and Restore Utility
Version:      2.0.1
Release:      1
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %name-%version.tar.bz2

%description
KDar uses libdar and supports its features, like incremental backups or
backups using different media. It can also handle filesystem attributes
like ACL and use filter rules.



Authors:
--------
    kdar -- Johnathan Burchill <jkerrb@shaw.ca>

%prep
%setup -q
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
make

%install
rm -rf $RPM_BUILD_ROOT
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
kde_post_install
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/icons/locolor
%suse_update_desktop_file %name System Backup
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%dir /opt/kde3/share/icons/crystalsvg/*x*/apps
/opt/kde3/bin/*
/opt/kde3/share/*/*/*.desktop
/opt/kde3/share/apps/kdar
/opt/kde3/share/icons/crystalsvg/*x*/*/*.png

%changelog -n kdar
* Sat Mar 05 2005 - joe_morris@ntm.org
- update to version 2.0.1
* Mon Aug 16 2004 - adrian@suse.de
- update to version 1.2
* Sun Jun 20 2004 - adrian@suse.de
- update to version 1.1.1
* Tue Jun 08 2004 - adrian@suse.de
- update to version 1.1.0
* Wed Feb 11 2004 - adrian@suse.de
- update to version 1.0.0 final
* Sun Feb 08 2004 - adrian@suse.de
- update to version 1.0 beta 3
* Tue Jan 13 2004 - adrian@suse.de
- update to version 1.0 beta 1
* Tue Jan 06 2004 - adrian@suse.de
- initial package of version 0.3.4
